Bug 427032 - Gnome Screensaver prevents the screen from turning off
Gnome Screensaver prevents the screen from turning off
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 08:32 EST by Michael Sedkowski
Modified: 2009-01-09 00:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Sedkowski 2007-12-30 08:32:42 EST
Description of problem:
When I work only on the graphical interface everything is fine: the screen saver
kicks in after X minutes of idle, the screen is being turned off after Y minutes
[configured and managed by Gnome Power Manager] just as it supposed to.  
The problem begins if I switch to any text console [ctrl+alt+F1 or so] and
switch back to graphical mode. Again the screen saver kicks in then the screen
is turned off, but only for a few seconds and it goes back on itself and stays
that way forever. No message is displayed, it's just black, if I press any key,
standard screen saver login dialog appears.
The same problem appears after suspend to disk... after wake up the screen won't 
go off.
Turning off the Gnome screen saver has no effect; removing the whole
gnome-screensaver package from the system resolves the issue, and the screen is
being turned off properly, but always after 10 minutes, no matter the time
chosen in Gnome Power Manager. 

Version-Release number of selected component (if applicable):
2.20.0-10.fc8

How reproducible:
Always

Steps to Reproduce:
1.Switch to any text console CTRL+ALT+Fx or go into suspend to disk
2.Go back into graphical mode
3.Leave the computer idle until the screen should be turned off by Gnome Power
Manager
  
Actual results:
The screen is off for couple of seconds and goes on by itself.

Expected results:
The screen remains off.

Additional info:
I use a Intel 945GM card on HP nx6310 laptop.
The problem exists both on the 'intel' and 'i810' driver.
Comment 1 James 2008-04-24 13:23:44 EDT
Hmm. Seems familiar. Auto screen-off stops working for me after a
suspend-to-RAM/resume cycle (Intel X3100 graphics, intel driver, kernel
2.6.24.5-85.fc8). If I restart g-s-s and g-p-m, after the set amount of time the
screen does go off, but switches back on almost immediately afterwards.
Comment 2 Bug Zapper 2008-11-26 04:13:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:39:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.